from os import PathLike
from pathlib import Path
from typing import TypeAlias

PathType: TypeAlias = str | bytes | PathLike | Path

class WavFile:
    def __init__(self, file: PathType) -> None: ...
    def normalize(self, peak_level: float = -1.0, remove_dc: bool = True) -> WavFile: ...
    def remove_clicks(self, threshold_level: int = 200, click_width: int = 20) -> WavFile: ...
    def save(self, file: PathType) -> None: ...
    def remove_all_channels_except(self, channel: int) -> WavFile: ...
    def to_mono(self) -> WavFile: ...
    def rms_linear(self) -> float: ...
    def rms_db(self) -> float: ...
